PDA

View Full Version : Build error due to module not found: org.codehaus.groovy#groovy-all;1.5.6



rmrajkumar
10-16-2012, 03:30 AM
Hi,

I am newbie to Report and Pentaho and i am trying to build the pentaho BI from the source code. I tried with both 4.5.0-stable and 3.10.0-stable versions, i am getting the following error while building, also tried to resolve but failed to resolve org.codehaus.groovy#groovy-all;1.5.6. I am trying from eclipse environment, i have necessary ivyDE plugin (Apache IvyDE 2.0.0.alpha1-pentaho-200808281007-2--7bmqib20qfoubip0311919392 org.apache.ivyde.feature.feature.group).

Following is the error log, please somebody help me, any help greatly appreciated.

[ivy:resolve] :: problems summary ::
[ivy:resolve] :::: WARNINGS
[ivy:resolve] module not found: org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] ==== local: tried
[ivy:resolve] d:\users\a183299\.ivy2/local/org.codehaus.groovy/groovy-all/1.5.6/ivys/ivy.xml
[ivy:resolve] -- artifact org.codehaus.groovy#groovy-all;1.5.6!groovy-all.jar:
[ivy:resolve] d:\users\a183299\.ivy2/local/org.codehaus.groovy/groovy-all/1.5.6/jars/groovy-all-1.5.6.jar
[ivy:resolve] ==== pentaho-ivy: tried
[ivy:resolve] http://repo.pentaho.org/artifactory/repo/org.codehaus.groovy/groovy-all/1.5.6/groovy-all-1.5.6.ivy.xml
[ivy:resolve] ==== pentaho-mvn: tried
[ivy:resolve] http://repo.pentaho.org/artifactory/repo/org/codehaus/groovy/groovy-all/1.5.6/groovy-all-1.5.6.pom
[ivy:resolve] -- artifact org.codehaus.groovy#groovy-all;1.5.6!groovy-all.jar:
[ivy:resolve] http://repo.pentaho.org/artifactory/repo/org/codehaus/groovy/groovy-all/1.5.6/groovy-all-1.5.6.jar
[ivy:resolve] ==== public: tried
[ivy:resolve] http://repo1.maven.org/maven2/org/codehaus/groovy/groovy-all/1.5.6/groovy-all-1.5.6.pom
[ivy:resolve] ==== java-net-maven2: tried
[ivy:resolve] http://download.java.net/maven/2/org/codehaus/groovy/groovy-all/1.5.6/groovy-all-1.5.6.pom
[ivy:resolve] -- artifact org.codehaus.groovy#groovy-all;1.5.6!groovy-all.jar:
[ivy:resolve] http://download.java.net/maven/2/org/codehaus/groovy/groovy-all/1.5.6/groovy-all-1.5.6.jar
[ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] :: UNRESOLVED DEPENDENCIES ::
[ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] :: org.codehaus.groovy#groovy-all;1.5.6: not found
[ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]
[ivy:resolve] :::: ERRORS
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve] impossible to acquire lock for org.codehaus.groovy#groovy-all;1.5.6
[ivy:resolve]
[ivy:resolve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

Thanks and Regards
Raj